# Contributing 💚

We are open to, and grateful for, any contributions made by the community! By contributing to React Translated, you agree to abide by the [code of conduct](https://github.com/amsul/react-translated/blob/master/CODE_OF_CONDUCT.md).

## Overview

* `yarn` - install dependencies
* `yarn build` - build the files from `lib/` to `dist/`
* `yarn develop` - watch and build the files in `lib/`
* `yarn test` - run tests

## Getting started

To get started with the project, you'll need [Git], [Node], and [Yarn] installed. Then run:

```bash
git clone git@github.com:amsul/react-translated.git && cd react-translated && yarn
```

Now you can run any of the scripts listed in the [Overview](#overview) above.

[babel]: http://babeljs.io/
[prettier]: https://prettier.io/
[git]: https://git-scm.com/
[node]: https://nodejs.org/
[yarn]: https://yarnpkg.com/

## Sending a Pull Request

For non-trivial changes, please open an issue with a proposal for a new feature or refactoring before starting on the work. We don't want you to waste your efforts on a pull request that we won't want to accept.

On the other hand, sometimes the best way to start a conversation *is* to send a pull request. Use your best judgment!

In general, the contribution workflow looks like this:

* Open a new issue in the [Issues](https://github.com/amsul/react-translated/issues) tracker.
* Fork the repo.
* Create a new feature branch based off the `master` branch.
* Make sure all tests pass and there are no linting errors.
* Submit a pull request, referencing any issues it addresses.

Please try to keep your pull request focused in scope and avoid including unrelated commits.

Thank you for contributing!

### ✌
